<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android" >

    <data >
        <import type="com.quansu.heifengwuliu.utils.MUiSwitch" />

        <variable
            name="vm"
            type="com.quansu.heifengwuliu.vmodel.OneLoginVModel" />
    </data >

    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        xmlns:app="http://schemas.android.com/apk/res-auto"
        android:layout_height="match_parent">


        <ImageView
            android:id="@+id/iv_logo"
            android:layout_width="70dp"
            android:layout_height="70dp"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            android:layout_marginTop="50dp"
            android:src="@mipmap/ic_launcher" />


        <TextView
            android:id="@+id/tv_title"
            android:layout_width="wrap_content"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/iv_logo"
            android:layout_marginTop="10dp"
            android:text="物流平台"
            android:textSize="15sp"
            android:textColor="#4B3200"
            android:layout_height="wrap_content">

        </TextView>


        <com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton
            android:id="@+id/btn_one_click_login"
            android:layout_width="match_parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toBottomOf="@id/tv_title"
            android:layout_marginTop="90dp"
            android:layout_marginStart="25dp"
            android:layout_marginEnd="24dp"
            app:qmui_borderColor="#E17E30"
            app:qmui_backgroundColor="#E17E30"
            app:qmui_radius="@dimen/dp_25"
            android:onClick="@{v->vm.clickLogin()}"
            android:textColor="@color/white"
            android:text="本机号码一键登录"
            android:textSize="18sp"
            android:layout_height="54dp">

        </com.qmuiteam.qmui.widget.roundwidget.QMUIRoundButton>

        <TextView
            android:id="@+id/tv_other_login"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            android:layout_marginTop="10dp"
            app:layout_constraintTop_toBottomOf="@id/btn_one_click_login"
            android:text="其他手机号码登录"
            android:onClick="@{v->MUiSwitch.INSTANCE.toLogin(vm.view().context())}"
            android:textColor="#4B3200"
            android:textSize="12sp">

        </TextView>


        <LinearLayout
            android:layout_width="wrap_content"
            android:orientation="vertical"
            android:gravity="center"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintBottom_toBottomOf="parent"
            android:layout_marginBottom="50dp"
            android:onClick="@{v->vm.wxLogin()}"

            android:layout_height="wrap_content">

            <ImageView
                android:layout_width="70dp"
                android:layout_height="70dp"
                android:src="@drawable/ic_to_wxchat" />

            <TextView
                android:layout_width="wrap_content"
                android:layout_marginTop="10dp"
                android:text="微信登录"
                android:textSize="15sp"
                android:textColor="#4B3200"
                android:layout_height="wrap_content">

            </TextView>
        </LinearLayout>



    </androidx.constraintlayout.widget.ConstraintLayout>
</layout >
